﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KeyKeeper
{
    public partial class Find : Form
    {
        public Find()
        {
            InitializeComponent();
        }

        private void cmdClose_Click(object sender, EventArgs e)
        {
            Tools.ButtonPress = 0;
            this.Close();
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            Tools.ButtonPress = 1;
            Tools.FindItem = txtFind.Text;
            this.Close();
        }

        private void txtFind_TextChanged(object sender, EventArgs e)
        {
            cmdOK.Enabled = (txtFind.Text.Trim().Length > 0);
        }

        private void txtFind_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == '\r')
            {
                e.Handled = true;
                if (cmdOK.Enabled)
                {
                    cmdOK_Click(sender, e);
                }
            }
        }
    }
}
